
A re-upload with edits. (custom directory)

Developer: [aedenthorn](https://www.nexusmods.com/valheim/users/18901754)

Original mod link: https://www.nexusmods.com/valheim/mods/389

## Github
https://github.com/aedenthorn/ValheimMods/tree/master/CustomLoadingScreens

## Custom Loading Screens and Tips

Use your own images as custom loading screens.

Recommended image size: 1920x1080

## Setup

- Launch the game once, to generate the config file and default image folder.

**DEFAULT IMAGE FOLDER:**

plugins\cjayride-CustomLoadingScreens\CustomLoadingScreens

- Optionally, specify the directory where you want to place your images. (see config file)

**EDIT CONFIG FILE:**

config\aedenthorn.CustomLoadingScreens.cfg

- Example: You can also specify a directory in the config folder to save your images: config\mypack\CustomLoadingScreens

- You can specify any directory path inside the BepInEx folder.


## Known Issues

- For local hosted games, the screens only display when first loading into the game, but not when using portals.

- For dedicated server games, the screens will display when first loading into the game, AND when using portals, but the images are not randomized. Moreover, one image is randomly selected at game launch, and is used throughout the rest of the session.

## Change log

**Version: 0.5.1**

- Update for cjaycraft modpack

- Re-added two configuration parameters to the configuration file: PathToImagesFolder and PathToTipsFolder --- This is to allow for easier customization with modpacks

**Version: 0.5.0**

- Fix for mistlands update

**Version: 0.4.2**

- Changed default image folder

- Can now specify an image directory path in either plugins folder or config folder -- anywhere inside the BepInEx folder!

- Received report on Discord that mod wasn't working. Make sure you generate the image folder and place your images in the folder before launching the game. The game will load these images into the game during startup.

To reload the config from the config file, type **loadingscreens reset** into the game's console (F5).